# -*- encoding=utf8 -*-
import json
import traceback

from air_case.b1_herp3_login.登录内网系统.登录内网系统 import login_system
from air_case.public1.public1.public1 import *
from common.db.sql.sql_del_branch_info import delData

from common.fileUtls import FileUtils
from common.run_cmd_script import execute_command
from common.timeUtils import timeUtils
from airtest.core.api import using
from common.db.sql.sql_tools import *

__author__ = "xiaohesheng"

"""
case_tag:api,b6_spd3_core_business_flow_database_check,a_b3流程十请领业务流_二级库向边仓,id2303,id2303-13,sit,on
核心业务流:a_b3流程十请领业务流_二级库向边仓
python runner_test.py tag id2303-13 debug mdm3
"""


def check_mcms_dept_buy(type):
    if type == 1:  # 低值
        hos_goods_id = FileUtils().r_info8('b5_spd3_core_business_flow', '产品审核信息', 'message2')["hosGoodsId"]
        branch_id = get_branch_id()
        # 获取每次都会变化的字段create_time的值
        create_time = get_create_time(
            "select create_time from mcms_dept_buy_car where branch_id='%s'and hos_goods_id='%s';" % (
                branch_id, hos_goods_id))
        print('create_time',create_time)
        id = get_id(
            "select id from mcms_dept_buy_car where branch_id='%s'and hos_goods_id='%s';" % (branch_id, hos_goods_id))
        print('id',id)
        create_user = get_id(
            "select create_user from mcms_dept_buy_car where branch_id='%s'and hos_goods_id='%s' LIMIT 1;" % (
                branch_id, hos_goods_id))
        print('create_time', create_time, 'id', id)
        sql = """select * from mcms_dept_buy_car where branch_id='%s' and hos_goods_id='%s' LIMIT 1;
                 """ % (branch_id, hos_goods_id)
        actual_value1 = check_mcms_dept_buy_car(sql)
        print(actual_value1)
        deptid2 = FileUtils().r_info8("b2_herp3_bs", "所有科室id", 'message6')['deptid2']
        deptname2 = FileUtils().r_info8("b2_herp3_bs", "所有科室name", 'message6')['deptid2']
        areaCode = get_stockAreaId_new(deptid2, deptname2, 2)
        areaName = '默认库区'
        # 读取文件中的信息
        info = FileUtils().r_info8('b5_spd3_core_business_flow', "二级库请领产品信息", 'message21')
        list_a = info['list_a']
        mdm_goods_code = commonFuc().analysis_json('mdmGoodsCode', list_a)
        pur_mode = commonFuc().analysis_json('purMode', list_a)
        goodsCode = commonFuc().analysis_json('goodsCode', list_a)
        pkgDefId = commonFuc().analysis_json('pkgDefId', list_a)
        pkgDefName = commonFuc().analysis_json('pkgDefName', list_a)
        last_modified_user = create_user
        last_modified = create_time
        # print('actual_value1',actual_value1)
        actual_value2 = get_process_list2(actual_value1)
        # print('actual_value2')
        # print( actual_value2)
        # prov_hos_goods_id = '8d6273b7bca84dd8aace12b9422d7fd6'
        expected_value2 = commonFuc().get_business_data('b6_spd3_core_business_flow_database_check',
                                                        'check_mcms_dept_buy_car', id, get_hosid(), branch_id, deptid2,
                                                        deptname2, areaCode, areaName, hos_goods_id, mdm_goods_code,
                                                        goodsCode, pkgDefId, pkgDefName
                                                        , create_user, create_time, last_modified, last_modified_user)
        # print('expected_value2', expected_value2)
        # expected_value2=get_process_list2(expected_value2)
        actual_value2 = actual_value2.replace(" ", "")
        expected_value2 = expected_value2.replace(" ", "")
        # print('actual_value2',actual_value2)
        print('expected_value2')
        print(expected_value2)
        print('actual_value2')
        print(actual_value2)
        if actual_value2 == expected_value2:
            print('ok')
            commonFuc().check_text_exist_result_text('succees', 'succees')
        else:
            print('error')
            commonFuc().check_text_exist_result_text('error', 'succees')


try:
    set_dept_lead()  # 设置二级科室负责人
    # 科室必须同步到外网，集中管控平台创建边仓才能选择到用户,"deptType":"0"
    pro_path = commonFuc().get_pro_path2()
    print('pro_path', pro_path)
    sys.path.append(pro_path + r'/air_case/b5_spd3_core_business_flow/a_b3流程十请领业务流_二级库向边仓.air')
    using(pro_path + r'//air_case/b5_spd3_core_business_flow/a_b3流程十请领业务流_二级库向边仓.air')
    from a_b3流程十请领业务流_二级库向边仓 import add_logic_stock

    add_logic_stock()

    from a_b3流程十请领业务流_二级库向边仓 import goods_move
    from a_b3流程十请领业务流_二级库向边仓 import second_dept_Request
    from a_b3流程十请领业务流_二级库向边仓 import BuyCarSubmit
    from a_b3流程十请领业务流_二级库向边仓 import check_buyWayText

    # # 设置产品出库渠道为边仓
    goods_move()
    updateUserLoginDefaultRange(get_listUserMgrRangePage(2))  # 设置登录账号默认权限是二级库
    # # # # 低值
    second_dept_Request(FileUtils().r_info8("b5_spd3_core_business_flow", "产品审核信息", 'message2')['hosGoodsId'], 1)
    check_mcms_dept_buy(1)
    # # # 高值
    # second_dept_Request(FileUtils().r_info8("b5_spd3_core_business_flow", "产品审核信息", 'message1')['hosGoodsId'], 2)
    # # # 试剂
    # second_dept_Request(FileUtils().r_info8("b5_spd3_core_business_flow", "产品审核信息", 'message3')['hosGoodsId'], 3)
    # BuyCarSubmit()  # 请领车提交
    # for i in range(6):  # 三个单据共审批6次
    #     approval_center()
    # check_buyWayText()#验证出库渠道是否为边仓
    # commonFuc().check_text_exist_result_text('succees', 'succees')
except:
    commonFuc().check_text_exist_result_text('error', 'succees')
